var widgets = require("sdk/widget");
var tabs = require("sdk/tabs");
var factorSideBarOpened = false;
var widget = widgets.Widget({
    id: "factornews-ta-link",
    label: "Factornews Tribune Anywhere",
    contentURL: "http://www.factornews.com/medias/css/default/favicon.ico",
    onClick: function() {
        if( !factorSideBarOpened ) {
            sidebar.show();
        } else {
            sidebar.hide();
        }
    }
});
var sidebar = require("sdk/ui/sidebar").Sidebar({
    id: 'factornews-ta-sidebar',
    title: 'Factornews : A fond dans la tribune...',
    url: require("sdk/self").data.url("sidebar.html"),
    onAttach: function(worker) {
        // listen for a "ready" message from the script
        worker.port.on("ready", function() {
            // send an "init" message to the script
            worker.port.emit("init", "message from main.js");
        });
    },
    onShow: function() {
        factorSideBarOpened = true;
    },
    onHide: function() {
        factorSideBarOpened = false;
    }
});